<sqtm-core-customisable-dialog
  [titleKey]="'sqtm-core.nav-bar.project-filter.dialog.title'"
  [sqtmCoreWorkspace]="'administration-workspace'"
  [localTheme]="true"
  [dialogId]="'project-filter'"
>
  <sqtm-core-dialog-body>
    <div class="full-height full-width flex-column">
      @if (showMilestoneMessage$ | async; as showMilestoneMessage) {
        @if (showMilestoneMessage) {
          <div class="full-width flex-fixed-size">
            <i nz-icon nzType="warning" nzTheme="outline"></i>
            <span
              [attr.data-test-element-id]="'milestone-warning'"
              class="m-l-5"
              >{{
                'sqtm-core.project-filter.milestone.warning' | translate
              }}</span
            >
          </div>
        }
      }
      <div class="m-10 flex-fixed-size" style="width: 200px">
        <sqtm-core-text-research-field
          (keyup)="consumeEvent($event)"
          (newResearchValue)="handleKeyboardInput($event)"
        ></sqtm-core-text-research-field>
      </div>
      <div class="full-height full-width overflow-hidden">
        <sqtm-core-grid></sqtm-core-grid>
      </div>
    </div>
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <ng-container>
      <button
        [attr.data-test-dialog-button-id]="'apply'"
        class="flex-fixed-size m-l-10"
        nz-button
        nzType="primary"
        (click)="handleChangeProjectFilter()"
      >
        {{ 'sqtm-core.generic.label.apply' | translate }}
      </button>
    </ng-container>
    <button
      [attr.data-test-dialog-button-id]="'cancel'"
      class="flex-fixed-size m-l-10"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.cancel' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
